Subject: Re: bug#62780: 30.0.50; Redisplay gets slow when using Org tables + show-trailing-whitespace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 10:58:02 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 12 Apr 2023 07:39:37 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Maybe there is a better way?
> >
> > Maybe.  Can you point me to the discussion which caused you to use
> > these display properties there?  I think this was done in two steps:
> > first you added the same display property as pre and post, then made
> > them subtly different; I need to re-read the discussions that led to
> > both of these.
> 
> The first step was in
> https://lists.gnu.org/archive/html/emacs-orgmode/2017-12/msg00526.html
> 
> Then, we had an issue with empty cells |<spc><spc>| with Emacs joining
> two spaces with eq text properties.
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45915

Thanks, will look into those.

> > Btw, these properties were introduced into org-table.el some time ago,
> > so how come this issue comes up only now?  Aren't Org tables used
> > quite a lot?
> 
> I guess things are not that much obvious without show-trailing-whitespace.

I see a substantial slowdown even with show-trailing-whitespace turned
off.